## gap 4.11.0

=== Makefile ===
#
# This Makefile serves two purposes:
# 1) If the user types "make" without having run "configure", we suggest running configure.
# 2) Our build system is written for GNU make, and makes liberal users of its features.
#    We therefore put it into "GNUmakefile", which is picked up by GNU make, but ignore by
#    other make versions, such as BSD make.
#    Thus, if the user has BSD make, it will run this Makefile instead -- and we inform
#    them that they need to use GNU make to compile GAP.
#
# To learn more about the GAP build system, see README.buildsys.md
#
.DEFAULT:
	@if test -f GNUmakefile ; then \
	    printf "Please use GNU make to build GAP (try 'gmake' or 'gnumake')\n" ; \
	  else \
		printf "You need to run "; \
		if ! test -f configure ; then \
			printf "./autogen.sh then "; \
		fi; \
		printf "./configure before make (please refer to INSTALL for details)\n" ; \
	  fi
all: .DEFAULT

=== debian/changelog ===
gap (4.11.0-4) unstable; urgency=medium

  * patch:
    - fix-gac: from upstream: gac: link with -export-dynamic
  * debian/control:
    - Update Breaks to account for binNMUs.

 -- Bill Allombert <ballombe@debian.org>  Mon, 04 May 2020 15:04:41 +0200

gap (4.11.0-3) unstable; urgency=medium

  * patch:
    - disable-test-nanoseconds: do not assume hires timer is available.
  * gap2deb: 
    - read TestFile field
    - fix generation of doc-base Files field.
  * debian/doc/gap2man: Update copyright date
  * debian/doc/gac.1: Update copyright date
  * debian/control: Remove useless Breaks on gap-scscp and gap-openmath

 -- Bill Allombert <ballombe@debian.org>  Sun, 03 May 2020 21:40:07 +0200

gap (4.11.0-2) unstable; urgency=low

  * patches:
    - remove-infopackage-warning: new version by Christopher Jefferson.
    - GenStackFuncBags-mark-NOINLINE: added: fix inlining issue.
  * debian/control:
    - libgap-dev, libgap7: Replaces gap-dev (<< 4.11.0)
    - Remove outdated Replaces.
    - Update Breaks:
  * debian/rules: test using "make check"
  * On Ubuntu, gap-core now recommends gap to work around command-not-found
    bad suggestion.

 -- Bill Allombert <ballombe@debian.org>  Wed, 15 Apr 2020 16:42:09 +0200

gap (4.11.0-1) experimental; urgency=low

  * New upstream release
    - patch doc-Makefile: remove changes.pdf
    - patch fix-Makefile: partially applied upstream
    - patch add-soname: provided by upstream
  * debian/gap-doc.doc-base.changes, debian/rules:
    - changes.pdf replaced by CHANGES.md
  * debian/changelog, debian/watch:
    - Switch to x.y.z version numbering. Thanks to Max Horn for his advice.
  * debian/tarball, debian/README.source
    - update upstream tarball name (gap-*-core.zip).
  * debian/watch, debian/gap2deb:
    - Move from https://www.gap-system.org/pub/gap to
                https://files.gap-system.org
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.5.0
    - Bump dephelper version to 12
    - Build-Depends on debhelper-compat (= 12)
  * debian/control:
    - Remove Build-Depends on autotools-dev, implied by debhelper.
    - gap-core: Provides: gap-kernel-7
  * debian/control, debian/rules:
    - add new packages libgap7, libgap-dev. Closes: #951275.
  * debian/compat: removed
  * debian/gap2deb, debian/watch:
    - Move from https://www.gap-system.org/pub/gap to
                https://files.gap-system.org
  * debian/copyright: update

 -- Bill Allombert <ballombe@debian.org>  Sun, 05 Apr 2020 13:47:27 +0200

=== debian/control ===
Source: gap
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper-compat (= 12),
               libgmp-dev, libreadline-dev, zlib1g-dev,
               gap-gapdoc (>= 1.5.1-2), help2man, locales,
               gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                     gap-character-tables, gap-atlasrep, gap-table-of-marks
Standards-Version: 4.5.0
Homepage: http://www.gap-system.org/

Package: gap
Architecture: all
Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp,
            gap-smallgrp,
            gap-autpgrp, gap-alnuth, gap-character-tables, gap-polycyclic,
            gap-table-of-marks, gap-factint
Suggests: gap-smallgrp-extra, gap-atlasrep, gap-design, gap-float, gap-grape,
          gap-guava, gap-io, gap-laguna, gap-openmath, gap-radiroot, gap-scscp,
          gap-sonata, gap-toric
Description: computer algebra system for Groups, Algorithms and Programming
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This is a dummy package that depends on the standard GAP components.

Package: gap-core
Architecture: any
Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
Provides: gap-kernel-7
Recommends: ${dist:Recommends}
Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
Description: GAP computer algebra system, core components
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the core GAP system.

Package: gap-libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, gap-gapdoc
Description: GAP computer algebra system, essential GAP libraries
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the essential GAP libraries (lib and grp).

Package: gap-dev
Section: devel
Architecture: any
Depends: gap-core (=${binary:Version}), gcc, ${misc:Depends}, libgmp-dev, libgap-dev (=${binary:Version})
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the GAP compiler and the headers files and
 objects files necessary to build GAP packages.
 .
 The GAP compiler (GAC) creates C code from GAP code and then calls
 the system's C compiler to produce machine code from it. This can
 result in a speedup.

Package: gap-online-help
Architecture: all
Depends: gap-core, ${misc:Depends}
Description: GAP computer algebra system, online help
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the documentation in TeX format needed for the online
 help system.

Package: gap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: gap-gapdoc
Multi-Arch: foreign
Suggests: gap
Description: GAP computer algebra system, documentation
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the documentation in HTML and PDF formats.

Package: libgap-dev
Architecture: any
Section: libdevel
Provides: libgap7-dev
Depends: libgap7 (= ${binary:Version}), libc-dev, ${misc:Depends}
Replaces: gap-dev (<< 4.11.0)
Multi-Arch: same
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the include files and static library.

Package: libgap7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gap-libs (=${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Replaces: gap-dev (<< 4.11.0)
Multi-Arch: same
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
# Modified for GAP by Bill Allombert 2002-2013

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export FORCE_SOURCE_DATE = 1
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

triplet = $(DEB_HOST_MULTIARCH)
libtriplet = usr/lib/$(triplet)
gaptriplet = $(libtriplet)/gap
library = libgap7

#strip is handled by dh_strip
CFLAGS = -g -Wall
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
export CFLAGS

LDFLAGS = -Wl,-z,relro
ifneq (,$(filter terse, $(DEB_BUILD_OPTIONS)))
SILENT=""
else
SILENT="V=1"
endif

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARS = -Vdist:Recommends="gap"
else
	SUBSTVARS = -Vdist:Recommends="gap-online-help"
endif

config.status: configure
	dh_testdir
	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd --enable-static

prep: prep-stamp
prep-stamp:
	mkdir pkg
	ln -s /usr/share/gap/pkg/GAPDoc pkg
	ln -s /usr/share/gap/pkg/AtlasRep pkg
	ln -s /usr/share/gap/pkg/CTblLib pkg
	ln -s /usr/share/gap/pkg/ctbllib pkg
	ln -s /usr/share/gap/pkg/TomLib pkg
	ln -s /usr/share/gap/pkg/SmallGrp pkg
	ln -s /usr/share/gap/pkg/PrimGrp pkg
	ln -s /usr/share/gap/pkg/TransGrp pkg
	touch prep-stamp

build-arch:  config.status build-arch-stamp
build-arch-stamp: prep-stamp
	dh_testdir
	$(MAKE) all libgap.la $(SILENT)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 \
          $(MAKE) check $(SILENT)
endif
	$(MAKE) -C debian/doc gap.1
	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp: build-arch-stamp
	dh_testdir
	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 $(MAKE) doc $(SILENT)
	$(MAKE) -C debian/doc

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp prep-stamp

	cp -p configure configure.good && $(MAKE) distclean && mv configure.good configure
	cd cnf && rm -f GAP-VERSION-FILE GAP-CFLAGS GAP-CXXFLAGS GAP-CPPFLAGS GAP-LDFLAGS GAP-LIBS GAP-OBJS

	$(MAKE) -C doc clean
	$(MAKE) -C debian/doc clean

	rm -f sysinfo.gap 
	rm -rf bin pkg .libs
	rm -f debian/gap.tst
	rm -f configure.lineno

	dh_clean

install: install-arch install-indep
install-arch: build-arch
	dh_testdir -a
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a
	dh_install -a
	dh_install -p gap-dev obj ${gaptriplet}
	rm -r debian/gap-dev/${gaptriplet}/obj/*/.deps
	rm -r debian/gap-dev/${gaptriplet}/obj/src/*.o
	$(MAKE) install-headers DESTDIR=$(CURDIR)/debian/libgap-dev/ $(SILENT)
	dh_install -p libgap-dev gen/config.h /usr/include/${triplet}/gap/
	(cd debian/libgap-dev/usr/include/${triplet}/gap/ && mv config.h config-arch.h)
	echo '#include <gap/config-arch.h>' > debian/libgap-dev/usr/include/gap/config.h
	dh_link -p gap-dev ${gaptriplet}/obj /usr/lib/gap/`echo bin/*-default*`
	chmod 644 debian/libgap-dev/usr/include/gap/config.h
	install -m 755 -d debian/gap-dev/usr/include/gap/src
	for i in $$(cd debian/libgap-dev && echo usr/include/gap/*.h); do \
	  dh_link -p gap-dev $$i usr/include/gap/src/$$(basename $$i); done
	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
	dh_install -p gap-core sysinfo.gap usr/lib/gap
	dh_install -p gap-core sysinfo.gap ${gaptriplet}
	$(MAKE) install-libgap DESTDIR=$(CURDIR)/debian/${library}/ libdir=/${libtriplet} $(SILENT)
	cd debian/${library}/${libtriplet} && rm libgap.a libgap.la libgap.so
	$(MAKE) install-libgap DESTDIR=$(CURDIR)/debian/libgap-dev/ libdir=/${libtriplet} $(SILENT)
	cd debian/libgap-dev/${libtriplet} && rm libgap.la libgap.so.*
	install -m 755 -d debian/gap-core/${gaptriplet}
	install -m 755 bin/*/gap debian/gap-core/${gaptriplet}
	install -m 755 libtool debian/gap-core/${gaptriplet}
	# ah libtool, libtool! Combien de hack ont été commis en ton nom
	perl -pi -e "s,^build_old_libs=yes,build_old_libs=no," \
	         debian/gap-core/${gaptriplet}/libtool
	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap
	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/gap,g" \
                 debian/gap-core/usr/bin/gap
	install -m 755 bin/*/gac debian/gap-dev/usr/bin/gac
	perl -pi -e "s,\@GAP_BIN\@,/${gaptriplet},g" \
                 debian/gap-dev/usr/bin/gac

	dh_installdocs -a
	dh_installdocs -p gap debian/changelog-*.Debian
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs  -a CHANGES.md

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep -i

	$(MAKE) -C doc install-pdf install-html "DESTDIR=../debian/gap-doc"
	$(MAKE) -C doc install-help "DESTDIR=../debian/gap-online-help"
	$(MAKE) -C debian/doc install "DESTDIR=../gap-doc"
	
	dh_installdirs -i
	dh_install -i
	dh_installdocs -p gap-doc CITATION CONTRIBUTING.md README.md
	dh_installdocs -i --all debian/changelog-*.Debian
	dh_installexamples -i 
	dh_installinfo -i
	dh_installchangelogs  -i CHANGES.md

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_link -i
	dh_compress -i 
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -p $(library) -V '$(library) (>= 4.11.0-1)'
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a -- $(SUBSTVARS)
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
https://files.gap-system.org/gap4core/gap-(\d+\.\d+\.\d+)-core.zip debian

## gap 4.11.1

=== debian/changelog ===
gap (4.11.1-1) unstable; urgency=medium

  * New upstream release.
    - patch fix-gac: removed, applied upstream
    - patch fix-test-bigendian: removed, applied upstream
    - patch GenStackFuncBags-mark-NOINLINE: removed, applied upstream
    - patch fix-Makefile: updated
  * debian/watch, debian/tarball: update for new URL scheme
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.6.0
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/rules, debian.control:
    - revert 'On Ubuntu, gap-core now recommends gap', not needed anymore
  * debian/rules: 
    - fix typo CTblLib -> CtblLib
    - add link /usr/lib/$triplet/gap/gac -> /usr/bin/gac.
      Closes: #987160.  Thanks Jerome Benoit 

 -- Bill Allombert <ballombe@debian.org>  Sat, 25 Sep 2021 14:57:15 +0200

gap (4.11.0-5) unstable; urgency=medium

  * debian/doc/gap2man:
    - use mktemp instead of tempfile. Closes: #993722. Thanks Samuel Thibault

 -- Bill Allombert <ballombe@debian.org>  Sat, 18 Sep 2021 11:37:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://www.gap-system.org/
 
 Package: gap
@@ -35,7 +35,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
 Provides: gap-kernel-7
-Recommends: ${dist:Recommends}
+Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
 Description: GAP computer algebra system, core components

=== debian/rules ===
--- 
+++ 
@@ -36,12 +36,6 @@
 SILENT="V=1"
 endif
 
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-	SUBSTVARS = -Vdist:Recommends="gap"
-else
-	SUBSTVARS = -Vdist:Recommends="gap-online-help"
-endif
-
 config.status: configure
 	dh_testdir
 	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd --enable-static
@@ -51,8 +45,7 @@
 	mkdir pkg
 	ln -s /usr/share/gap/pkg/GAPDoc pkg
 	ln -s /usr/share/gap/pkg/AtlasRep pkg
-	ln -s /usr/share/gap/pkg/CTblLib pkg
-	ln -s /usr/share/gap/pkg/ctbllib pkg
+	ln -s /usr/share/gap/pkg/CtblLib pkg
 	ln -s /usr/share/gap/pkg/TomLib pkg
 	ln -s /usr/share/gap/pkg/SmallGrp pkg
 	ln -s /usr/share/gap/pkg/PrimGrp pkg
@@ -134,6 +127,7 @@
 	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/gap,g" \
                  debian/gap-core/usr/bin/gap
 	install -m 755 bin/*/gac debian/gap-dev/usr/bin/gac
+	dh_link -p gap-dev /usr/bin/gac /${libtriplet}/gap/gac
 	perl -pi -e "s,\@GAP_BIN\@,/${gaptriplet},g" \
                  debian/gap-dev/usr/bin/gac

=== debian/watch ===
version=2
#opts=filenamemangle=s/.+\/v?(\d\S+)-core\.tar\.gz/gap-$1\.tar\.gz/ \
https://github.com/gap-system/gap/releases .*/v([^/]+)/gap-\d\S+-core\.tar\.gz debian

## gap 4.12.1

=== debian/changelog ===
gap (4.12.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:32:44 +0000

gap (4.12.1-2build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:54:32 +0100

gap (4.12.1-2) unstable; urgency=medium

  * New patch:
    - gaptime-hurd: fix timer on hurd
  * debian/control, debian/copyright, README.Debian,
    debian/doc/gap-policy.sgml, debian/doc/gac.1:
    - use https instead of http.
  * debian/control:
    - gap: Update Recommends and Suggests list to reflect available
      GAP packages.
  * debian/rules: 
    - remove obsolete --with-gmp=system
    - do not install /usr/include/gap/config.h and gap/config-arch.h

 -- Bill Allombert <ballombe@debian.org>  Sat, 05 Nov 2022 17:44:02 +0100

gap (4.12.1-1) unstable; urgency=medium

  * New upstream release.
    - patch fix-Makefile: removed, applied upstream
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.6.1

 -- Bill Allombert <ballombe@debian.org>  Fri, 28 Oct 2022 12:16:22 +0200

gap (4.12.0-1) experimental; urgency=medium

  * New upstream release.
    - patch fix-package.txt: removed, applied upstream
    - patch disable-test-smallgrp: removed, applied upstream
    - patch add-soname: removed, applied upstream
    - patch program-path: updated
    - patch fix-Makefile: updated
  * debian/control, debian/rules: soname bump:
    - replace libgap7 by libgap8, gap-kernel-7 by gap-kernel-8
  * debian/copyright: update

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 Sep 2022 16:17:45 +0200

gap (4.11.1-3) unstable; urgency=medium

  * patch fix-package.txt: from upstream:
    - update test for gapdoc-1.6.6
      Closes: #1020174. Thanks Lucas Nussbaum

 -- Bill Allombert <ballombe@debian.org>  Sun, 18 Sep 2022 09:57:23 +0200

gap (4.11.1-2) unstable; urgency=medium

  * patch disable-test-smallgrp: new:
    - Fix test tst/testinstall/small_groups.tst for newer smallgrp package
      Closes: #1016333. Thanks Lucas Nussbaum
  * debian/watch: bump version.
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/control:
    - Build-depends on debhelper-compat (= 13)
  * debian/control, debian/doc/Makefile, patch doc-makefile
    - add Rules-Requires-Root: no

 -- Bill Allombert <ballombe@debian.org>  Sat, 30 Jul 2022 12:08:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: gap
 Section: math
 Priority: optional
-Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libgmp-dev, libreadline-dev, zlib1g-dev,
                gap-gapdoc (>= 1.5.1-2), help2man, locales,
                gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
-Standards-Version: 4.6.0
-Homepage: http://www.gap-system.org/
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
+Homepage: https://www.gap-system.org/
 
 Package: gap
 Architecture: all
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
-Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp,
-            gap-smallgrp,
-            gap-autpgrp, gap-alnuth, gap-character-tables, gap-polycyclic,
-            gap-table-of-marks, gap-factint
-Suggests: gap-smallgrp-extra, gap-atlasrep, gap-design, gap-float, gap-grape,
-          gap-guava, gap-io, gap-laguna, gap-openmath, gap-radiroot, gap-scscp,
-          gap-sonata, gap-toric
+Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp, gap-smallgrp,
+            gap-autpgrp, gap-alnuth, gap-character-tables, gap-factint,
+            gap-fga, gap-laguna, gap-polycyclic, gap-table-of-marks
+Suggests: gap-smallgrp-extra, gap-aclib, gap-atlasrep, gap-congruence,
+          gap-crystcat, gap-cryst, gap-design, gap-float, gap-grape,
+          gap-guava, gap-hap, gap-hapcryst, gap-io, gap-nq, gap-openmath,
+          gap-polymaking, gap-radiroot, gap-scscp, gap-sonata, gap-toric
 Description: computer algebra system for Groups, Algorithms and Programming
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library
@@ -34,7 +36,7 @@
 Package: gap-core
 Architecture: any
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
-Provides: gap-kernel-7
+Provides: gap-kernel-8
 Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
@@ -115,8 +117,8 @@
 Package: libgap-dev
 Architecture: any
 Section: libdevel
-Provides: libgap7-dev
-Depends: libgap7 (= ${binary:Version}), libc-dev, ${misc:Depends}
+Provides: libgap8-dev
+Depends: libgap8 (= ${binary:Version}), libc-dev, ${misc:Depends}
 Replaces: gap-dev (<< 4.11.0)
 Multi-Arch: same
 Description: GAP computer algebra system, compiler and development files
@@ -129,7 +131,7 @@
  .
  This package contains the include files and static library.
 
-Package: libgap7
+Package: libgap8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gap-libs (=${source:Version})

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 by Joey Hess.
# Modified for GAP by Bill Allombert 2002-2013

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export FORCE_SOURCE_DATE = 1
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

triplet = $(DEB_HOST_MULTIARCH)
libtriplet = usr/lib/$(triplet)
gaptriplet = $(libtriplet)/gap
library = libgap8

#strip is handled by dh_strip
CFLAGS = -g -Wall
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
export CFLAGS

LDFLAGS = -Wl,-z,relro
ifneq (,$(filter terse, $(DEB_BUILD_OPTIONS)))
SILENT=""
else
SILENT="V=1"
endif

config.status: configure
	dh_testdir
	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure \
          --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) \
          --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --libdir=/$(libtriplet) \
          SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd STRIP=/bin/true \
          --enable-static

prep: prep-stamp
prep-stamp:
	mkdir pkg
	ln -s /usr/share/gap/pkg/GAPDoc pkg
	ln -s /usr/share/gap/pkg/AtlasRep pkg
	ln -s /usr/share/gap/pkg/CtblLib pkg
	ln -s /usr/share/gap/pkg/TomLib pkg
	ln -s /usr/share/gap/pkg/SmallGrp pkg
	ln -s /usr/share/gap/pkg/PrimGrp pkg
	ln -s /usr/share/gap/pkg/TransGrp pkg
	touch prep-stamp

build-arch:  config.status build-arch-stamp
build-arch-stamp: prep-stamp
	dh_testdir
	$(MAKE) all libgap.la $(SILENT)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 \
          $(MAKE) check $(SILENT)
endif
	$(MAKE) -C debian/doc gap.1
	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp: build-arch-stamp
	dh_testdir
	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 $(MAKE) doc $(SILENT)
	$(MAKE) -C debian/doc

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp prep-stamp

	if test -f GNUmakefile; then $(MAKE) distclean clean; fi
	$(MAKE) -C doc clean
	$(MAKE) -C debian/doc clean

	rm -f sysinfo.gap
	rm -rf bin pkg .libs
	rm -f debian/gap.tst
	rm -f configure.lineno

	dh_clean

install: install-arch install-indep
install-arch: build-arch
	dh_testdir -a
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a
	dh_install -a
	#dh_install -p gap-dev build/obj ${gaptriplet}
	#rm -r debian/gap-dev/${gaptriplet}/obj/src/*.o
	$(MAKE) install-bin     DESTDIR=$(CURDIR)/debian/gap-core   $(SILENT)
	$(MAKE) install-headers DESTDIR=$(CURDIR)/debian/libgap-dev $(SILENT)
	$(MAKE) install-sysinfo DESTDIR=$(CURDIR)/debian/gap-core   $(SILENT)
	$(MAKE) install-libgap  DESTDIR=$(CURDIR)/debian/${library} $(SILENT)
	$(MAKE) install-libgap  DESTDIR=$(CURDIR)/debian/libgap-dev $(SILENT)
	cd debian/${library}/${libtriplet} && rm libgap.a libgap.la libgap.so
	cd debian/libgap-dev/${libtriplet} && rm libgap.la libgap.so.*
	dh_link -p gap-dev /usr/bin/gac /${libtriplet}/gap/gac
	install -m 755 -d debian/gap-dev/usr/include/gap/src
	rm debian/libgap-dev/usr/include/gap/src
	for i in $$(cd debian/libgap-dev && echo usr/include/gap/*.h); do \
	  dh_link -p gap-dev $$i usr/include/gap/src/$$(basename $$i); done
	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
	dh_install -p gap-core debian/gap-core/${gaptriplet}/sysinfo.gap usr/lib/gap
	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap
	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/gap,g" \
                 debian/gap-core/usr/bin/gap
	mv debian/gap-core/usr/bin/gac debian/gap-dev/usr/bin/gac
	dh_installdocs -a
	dh_installdocs -p gap debian/changelog-*.Debian
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs  -a CHANGES.md

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep -i

	$(MAKE) -C doc install-pdf install-html "DESTDIR=../debian/gap-doc"
	$(MAKE) -C doc install-help "DESTDIR=../debian/gap-online-help"
	$(MAKE) -C debian/doc install "DESTDIR=../gap-doc"
	
	dh_installdirs -i
	dh_install -i
	dh_installdocs -p gap-doc CITATION CONTRIBUTING.md README.md
	dh_installdocs -i --all debian/changelog-*.Debian
	dh_installexamples -i
	dh_installinfo -i
	dh_installchangelogs  -i CHANGES.md

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -p $(library) -V '$(library)'
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a -- $(SUBSTVARS)
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gap 4.13.1

=== debian/changelog ===
gap (4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/gap2deb: update to salsa.debian.org version.

 -- Bill Allombert <ballombe@debian.org>  Fri, 21 Jun 2024 00:14:10 +0200

gap (4.13.0-2) unstable; urgency=medium

  * patch: gac-use--lgap: build GAP modules with -lgap.
  * debian/gap-core.link:
    - remove obsolete link usr/share/gap/sysinfo.gap-debian

 -- Bill Allombert <ballombe@debian.org>  Thu, 25 Apr 2024 12:31:16 +0200

gap (4.13.0-1) unstable; urgency=medium

  * New upstream release.
    - fix test requiring old GAPDoc: Closes: #1068756.
    - gaptime-hurd, fix-libtool: removed
    - no-needed-pkg, fix-test-dir: updated
    - install-static-lib, disable-test-readdir: added
  * binaries packages are now built against libgap instead of gap-core.
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/doc/gap2man: update
  * debian/control, debian/rules: soname bump:
    - replace libgap8 by libgap9. Closes: #1061972.
    - gap-core no more Provides gap-kernel-8
  * debian/rules:
    - remove gap-dev/usr/include/gap/src links
  * debian/control:
    - Bump Standards-Version to 4.7.0
    - gap now Suggests: gap-browse

 -- Bill Allombert <ballombe@debian.org>  Thu, 11 Apr 2024 11:21:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gap
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
+Maintainer: Bill Allombert <ballombe@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgmp-dev, libreadline-dev, zlib1g-dev,
                gap-gapdoc (>= 1.5.1-2), help2man, locales,
@@ -10,16 +9,16 @@
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://www.gap-system.org/
 
 Package: gap
 Architecture: all
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
 Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp, gap-smallgrp,
-            gap-autpgrp, gap-alnuth, gap-character-tables, gap-factint,
+            gap-alnuth, gap-autpgrp, gap-character-tables, gap-factint,
             gap-fga, gap-laguna, gap-polycyclic, gap-table-of-marks
-Suggests: gap-smallgrp-extra, gap-aclib, gap-atlasrep, gap-congruence,
+Suggests: gap-smallgrp-extra, gap-aclib, gap-atlasrep, gap-browse, gap-congruence,
           gap-crystcat, gap-cryst, gap-design, gap-float, gap-grape,
           gap-guava, gap-hap, gap-hapcryst, gap-io, gap-nq, gap-openmath,
           gap-polymaking, gap-radiroot, gap-scscp, gap-sonata, gap-toric
@@ -36,7 +35,6 @@
 Package: gap-core
 Architecture: any
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
-Provides: gap-kernel-8
 Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
@@ -117,8 +115,8 @@
 Package: libgap-dev
 Architecture: any
 Section: libdevel
-Provides: libgap8-dev
-Depends: libgap8 (= ${binary:Version}), libc-dev, ${misc:Depends}
+Provides: libgap9-dev
+Depends: libgap9 (= ${binary:Version}), libc-dev, ${misc:Depends}
 Replaces: gap-dev (<< 4.11.0)
 Multi-Arch: same
 Description: GAP computer algebra system, compiler and development files
@@ -131,7 +129,7 @@
  .
  This package contains the include files and static library.
 
-Package: libgap8
+Package: libgap9
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gap-libs (=${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -18,16 +18,18 @@
 triplet = $(DEB_HOST_MULTIARCH)
 libtriplet = usr/lib/$(triplet)
 gaptriplet = $(libtriplet)/gap
-library = libgap8
+library = libgap9
 
 #strip is handled by dh_strip
 CFLAGS = -g -Wall
+
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
 CFLAGS += -O2
 endif
-export CFLAGS
+CXXFLAGS := $(CFLAGS)
+export CFLAGS CXXFLAGS
 
 LDFLAGS = -Wl,-z,relro
 ifneq (,$(filter terse, $(DEB_BUILD_OPTIONS)))
@@ -59,7 +61,7 @@
 build-arch:  config.status build-arch-stamp
 build-arch-stamp: prep-stamp
 	dh_testdir
-	$(MAKE) all libgap.la $(SILENT)
+	$(MAKE) all $(SILENT)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 \
           $(MAKE) check $(SILENT)
@@ -100,20 +102,14 @@
 	dh_prep -a
 	dh_installdirs -a
 	dh_install -a
-	#dh_install -p gap-dev build/obj ${gaptriplet}
-	#rm -r debian/gap-dev/${gaptriplet}/obj/src/*.o
 	$(MAKE) install-bin     DESTDIR=$(CURDIR)/debian/gap-core   $(SILENT)
 	$(MAKE) install-headers DESTDIR=$(CURDIR)/debian/libgap-dev $(SILENT)
 	$(MAKE) install-sysinfo DESTDIR=$(CURDIR)/debian/gap-core   $(SILENT)
 	$(MAKE) install-libgap  DESTDIR=$(CURDIR)/debian/${library} $(SILENT)
 	$(MAKE) install-libgap  DESTDIR=$(CURDIR)/debian/libgap-dev $(SILENT)
-	cd debian/${library}/${libtriplet} && rm libgap.a libgap.la libgap.so
-	cd debian/libgap-dev/${libtriplet} && rm libgap.la libgap.so.*
+	cd debian/${library}/${libtriplet} && rm libgap.so libgap.a && rm -r pkgconfig
+	cd debian/libgap-dev/${libtriplet} && rm libgap.so.*
 	dh_link -p gap-dev /usr/bin/gac /${libtriplet}/gap/gac
-	install -m 755 -d debian/gap-dev/usr/include/gap/src
-	rm debian/libgap-dev/usr/include/gap/src
-	for i in $$(cd debian/libgap-dev && echo usr/include/gap/*.h); do \
-	  dh_link -p gap-dev $$i usr/include/gap/src/$$(basename $$i); done
 	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
 	dh_install -p gap-core debian/gap-core/${gaptriplet}/sysinfo.gap usr/lib/gap
 	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap

## gap 4.14.0

=== debian/changelog ===
gap (4.14.0-4) unstable; urgency=medium

  * Force -stdc=gnu17  to fix FTBFS with C23.  Closes: #1096671.

 -- Bill Allombert <ballombe@debian.org>  Fri, 12 Sep 2025 09:22:10 +0200

gap (4.14.0-3) unstable; urgency=medium

  * patch:
    - version-date-SDE: set TZ=C for reproducible builds

 -- Bill Allombert <ballombe@debian.org>  Sun, 29 Dec 2024 17:46:20 +0100

gap (4.14.0-2) unstable; urgency=medium

  * Source only upload

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Dec 2024 13:31:15 +0100

gap (4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * patches:
    - doc_make_allow_warning: new: allow missing crossref
    - fix-version-stdin: new:fix gap --version
    - version-date-SDE: new: fix gap --version date
    - fix--help: new: fix missing line in manpage
    - gac-no-workspace: new: fix gac when a workspace is in effect
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/rules: call dh_dwz -a

 -- Bill Allombert <ballombe@debian.org>  Mon, 09 Dec 2024 21:44:55 +0100

gap (4.14.0~beta1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Build-Depends on gap-smallgrp-extra (>= 1.5.4-2) for the test
  * debian/rules:
    - adjust shlibs to libgap9 (>= 4.14)

 -- Bill Allombert <ballombe@debian.org>  Sun, 24 Nov 2024 22:44:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                libgmp-dev, libreadline-dev, zlib1g-dev,
                gap-gapdoc (>= 1.5.1-2), help2man, locales,
-               gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
+               gap-smallgrp-extra (>= 1.5.4-2), gap-transgrp, gap-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,8 @@
 else
 CFLAGS += -O2
 endif
-CXXFLAGS := $(CFLAGS)
+CXXFLAGS := $(CFLAGS) -std=gnu++17
+CFLAGS += -std=gnu17
 export CFLAGS CXXFLAGS
 
 LDFLAGS = -Wl,-z,relro
@@ -158,11 +159,12 @@
 binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
-	dh_strip -a
 	dh_link -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -p $(library) -V '$(library)'
+	dh_dwz -a
+	dh_strip -a
+	dh_makeshlibs -p $(library) -V '$(library) (>= 4.14)'
 	dh_shlibdeps -a
 	dh_installdeb -a
 	dh_gencontrol -a -- $(SUBSTVARS)

## gap 4.15.0~beta1

=== debian/changelog ===
gap (4.15.0~beta1-1) experimental; urgency=medium

  * New upstream release.
    - Fix FTBFS with C23.  Closes: #1096671.
  * patch:
    - fix-version-stdin: merged upstream
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/control, debian/rules: soname bump:
    - replace libgap9 by libgap10.
    - adjust shlibs to libgap10 (>= 4.15)
  * debian/control:
    - Bump Standards-Version to 4.7.2
  * debian/copyright: update to new upstream COPYRIGHT

 -- Bill Allombert <ballombe@debian.org>  Thu, 11 Sep 2025 22:53:04 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.gap-system.org/
 
 Package: gap
@@ -115,8 +115,8 @@
 Package: libgap-dev
 Architecture: any
 Section: libdevel
-Provides: libgap9-dev
-Depends: libgap9 (= ${binary:Version}), libc-dev, ${misc:Depends}
+Provides: libgap10-dev
+Depends: libgap10 (= ${binary:Version}), libc-dev, ${misc:Depends}
 Replaces: gap-dev (<< 4.11.0)
 Multi-Arch: same
 Description: GAP computer algebra system, compiler and development files
@@ -129,7 +129,7 @@
  .
  This package contains the include files and static library.
 
-Package: libgap9
+Package: libgap10
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gap-libs (=${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 triplet = $(DEB_HOST_MULTIARCH)
 libtriplet = usr/lib/$(triplet)
 gaptriplet = $(libtriplet)/gap
-library = libgap9
+library = libgap10
 
 #strip is handled by dh_strip
 CFLAGS = -g -Wall
@@ -28,8 +28,7 @@
 else
 CFLAGS += -O2
 endif
-CXXFLAGS := $(CFLAGS) -std=gnu++17
-CFLAGS += -std=gnu17
+CXXFLAGS := $(CFLAGS)
 export CFLAGS CXXFLAGS
 
 LDFLAGS = -Wl,-z,relro
@@ -113,6 +112,7 @@
 	dh_link -p gap-dev /usr/bin/gac /${libtriplet}/gap/gac
 	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
 	dh_install -p gap-core debian/gap-core/${gaptriplet}/sysinfo.gap usr/lib/gap
+	mv debian/gap-core/usr/bin/gap debian/gap-core/${libtriplet}/gap/
 	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap
 	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/gap,g" \
                  debian/gap-core/usr/bin/gap
@@ -164,7 +164,7 @@
 	dh_fixperms -a
 	dh_dwz -a
 	dh_strip -a
-	dh_makeshlibs -p $(library) -V '$(library) (>= 4.14)'
+	dh_makeshlibs -p $(library) -V '$(library) (>= 4.15)'
 	dh_shlibdeps -a
 	dh_installdeb -a
 	dh_gencontrol -a -- $(SUBSTVARS)

## gap 4.15.0~beta2

=== debian/changelog ===
gap (4.15.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/rules:
    - make build-*-stamp to depend on config.status. Closes: #1105357
    - configure: remove unsupported --enable-static.
  * debian/control: Suggests: gap-anupq

 -- Bill Allombert <ballombe@debian.org>  Fri, 19 Sep 2025 11:20:25 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp, gap-smallgrp,
             gap-alnuth, gap-autpgrp, gap-character-tables, gap-factint,
             gap-fga, gap-laguna, gap-polycyclic, gap-table-of-marks
-Suggests: gap-smallgrp-extra, gap-aclib, gap-atlasrep, gap-browse, gap-congruence,
+Suggests: gap-smallgrp-extra, gap-aclib, gap-anupq, gap-atlasrep, gap-browse, gap-congruence,
           gap-crystcat, gap-cryst, gap-design, gap-float, gap-grape,
           gap-guava, gap-hap, gap-hapcryst, gap-io, gap-nq, gap-openmath,
           gap-polymaking, gap-radiroot, gap-scscp, gap-sonata, gap-toric

## gap 4.15.0~beta3

=== debian/changelog ===
gap (4.15.0~beta3-1) experimental; urgency=medium

  * New upstream beta release.
    - Fix FTBFS on GNU/Hurd
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/control: Recommends: gap-polenta

 -- Bill Allombert <ballombe@debian.org>  Wed, 24 Sep 2025 11:28:57 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
 Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp, gap-smallgrp,
             gap-alnuth, gap-autpgrp, gap-character-tables, gap-factint,
-            gap-fga, gap-laguna, gap-polycyclic, gap-table-of-marks
+            gap-fga, gap-laguna, gap-polenta, gap-polycyclic, gap-table-of-marks
 Suggests: gap-smallgrp-extra, gap-aclib, gap-anupq, gap-atlasrep, gap-browse, gap-congruence,
           gap-crystcat, gap-cryst, gap-design, gap-float, gap-grape,
           gap-guava, gap-hap, gap-hapcryst, gap-io, gap-nq, gap-openmath,

## gap 4.15.0

=== Makefile ===
--- 
+++ 
@@ -19,4 +19,5 @@
 		fi; \
 		printf "./configure before make (please refer to INSTALL for details)\n" ; \
 	  fi
+	@exit 1
 all: .DEFAULT

=== debian/changelog ===
gap (4.15.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS with C23.  Closes: #1096671.
    - make build-*-stamp to depend on config.status. Closes: #1105357
  * debian/control: remove obsolete Breaks added in 4.11.0-4

 -- Bill Allombert <ballombe@debian.org>  Sun, 28 Sep 2025 23:59:04 +0200

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,6 @@
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
 Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
-Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
 Description: GAP computer algebra system, core components
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library

=== debian/rules ===
--- 
+++ 
@@ -43,8 +43,7 @@
 	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure \
           --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) \
           --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --libdir=/$(libtriplet) \
-          SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd STRIP=/bin/true \
-          --enable-static
+          SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd STRIP=/bin/true
 
 prep: prep-stamp
 prep-stamp:
@@ -58,8 +57,8 @@
 	ln -s /usr/share/gap/pkg/TransGrp pkg
 	touch prep-stamp
 
-build-arch:  config.status build-arch-stamp
-build-arch-stamp: prep-stamp
+build-arch: build-arch-stamp
+build-arch-stamp: config.status prep-stamp
 	dh_testdir
 	$(MAKE) all $(SILENT)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -69,8 +68,8 @@
 	$(MAKE) -C debian/doc gap.1
 	touch build-arch-stamp
 
-build-indep: config.status  build-indep-stamp
-build-indep-stamp: build-arch-stamp
+build-indep: build-indep-stamp
+build-indep-stamp: config.status build-arch-stamp
 	dh_testdir
 	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 $(MAKE) doc $(SILENT)
 	$(MAKE) -C debian/doc

## gap 4.15.1

=== debian/changelog ===
gap (4.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bill Allombert <ballombe@debian.org>  Fri, 14 Nov 2025 23:23:31 +0100

=== debian/watch ===
version=3
https://github.com/gap-system/gap/releases .*/v([^/]+)/gap-\d\S+-core\.tar\.gz debian
